import network
import webrepl

webrepl.start()
sta_if = network.WLAN(network.STA_IF)
sta_if.active(True)

availableNetworkSSIDs = [s[0].decode() for s in sta_if.scan()]
#load wifi credentials from file
with open("wifi-credentials","r") as f:
	ssid = f.readline().replace("\n","")
	password = f.readline().replace("\n","")
	if ssid in availableNetworkSSIDs:
		sta_if.connect(ssid,password)
